function relayout( object )
%RELAYOUT Summary of this function goes here
%   Detailed explanation goes here

    object.row_sizes = [];
    object.column_sizes = [];

    for i = 1:size(object.drawables, 2)
        for j = 1:size(object.drawables, 1)
            if ~isempty( object.drawables{j, i} )
                [x, y] = object.drawables{j, i}.get_bounding_box();
                object.row_sizes(j, i) = y;
                object.column_sizes(j, i) = x;
            end
        end
    end
    object.row_sizes = max(object.row_sizes, [], 1);
    object.column_sizes = max(object.column_sizes, [], 2)';
end

